package com.bonus.canteen.core.pay.constants;

public enum TradeTypeEnum {
   RECHARGE(1, "充值"),
   RECHARGE_REFUND(2, "充值退款"),
   CONSUME(3, "消费"),
   CONSUME_REFUND(4, "消费退款");

   private final Integer key;
   private final String desc;

   private TradeTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
